package me.nvus.hardcoreessentials;

import me.nvus.hardcoreessentials.listeners.CraftingListener;
import me.nvus.hardcoreessentials.listeners.DeathListener;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;
import java.util.List;


public final class HardcoreEssentials extends JavaPlugin {

    private List<String> bannedItems;

    @Override
    public void onEnable() {

        // Load configuration
        loadConfig();

        // Registering the DeathListener
        getServer().getPluginManager().registerEvents(new DeathListener(), this);

        // Register crafting listener
        getServer().getPluginManager().registerEvents(new CraftingListener(this), this);

    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }

    private void loadConfig() {
        // Create config file if it doesn't exist
        File configFile = new File(getDataFolder(), "config.yml");
        if (!configFile.exists()) {
            configFile.getParentFile().mkdirs();
            saveResource("config.yml", false);
        }

        // Load configuration
        FileConfiguration config = YamlConfiguration.loadConfiguration(configFile);
        bannedItems = config.getStringList("banned-items");
    }

    public List<String> getBannedItems() {
        return bannedItems;
    }


}
