package me.nvus.hardcoreessentials.listeners;

import me.nvus.hardcoreessentials.HardcoreEssentials;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.CraftItemEvent;
import org.bukkit.inventory.ItemStack;

import java.util.List;

public class CraftingListener implements Listener {

    private final List<String> bannedItems;

    public CraftingListener(HardcoreEssentials plugin) {
        this.bannedItems = plugin.getBannedItems();
    }

    @EventHandler
    public void onCraftItem(CraftItemEvent event) {
        Player player = (Player) event.getWhoClicked();
        ItemStack result = event.getRecipe().getResult();

        // Check if the crafted item is in the list of banned items
        if (bannedItems.contains(result.getType().toString())) {
            event.setCancelled(true);
            player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&c&lYou do not know how to craft this item!"));
        }
    }
}
