package me.nvus.hardcoreessentials.util;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.util.UUID;

public class PlayerDataUtil {

    public static void deletePlayerData(Player player) {
        UUID uuid = player.getUniqueId();

        // Send a message to player explaining how hardcore death works
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&c"));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&b&lFROSTBITE:"));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&3------------------"));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&c&lUnfortunately, you have died and all of your &e&lprogression &c&lon the server has been &3&lwiped&c&l!"));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&c"));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&c&lIncluding your: &a&lbalance&c&l, &a&lhomes&c&l, &a&lrecipe discoveries&c&l, &a&ladvancements&c&l, etc."));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&c"));

        // Delete player data files
        deleteFile(new File(Bukkit.getWorldContainer(), "playerdata/" + uuid + ".dat"));
        deleteFile(new File(Bukkit.getWorldContainer(), "stats/" + uuid + ".json"));

        // Remove player's advancements
        File advancementsDir = new File(Bukkit.getWorldContainer(), "advancements");
        File[] advancementFiles = advancementsDir.listFiles((dir, name) -> name.startsWith(uuid.toString()));
        if (advancementFiles != null) {
            for (File file : advancementFiles) {
                deleteFile(file);
            }
        }

        // Remove player's recipe unlocks
        File recipeDir = new File(Bukkit.getWorldContainer(), "data/" + Bukkit.getWorlds().get(0).getName() + "/recipes");
        File[] recipeFiles = recipeDir.listFiles((dir, name) -> name.startsWith(uuid.toString()));
        if (recipeFiles != null) {
            for (File file : recipeFiles) {
                deleteFile(file);
            }
        }

        // Delete user data file
        deleteFile(new File(Bukkit.getWorldContainer(), "plugins/Essentials/userdata/" + uuid + ".yml"));

        // Reset player's statistics
        Bukkit.getServer().dispatchCommand(Bukkit.getConsoleSender(), "minecraft:clear " + player.getName() + " minecraft:*");
    }

    private static void deleteFile(File file) {
        try {
            Files.deleteIfExists(file.toPath());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
